Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.process.workitem.wsht
Class AsyncMinaHTWorkItemHandler

    java.lang.Object
      org.jbpm.process.workitem.wsht.AbstractHTWorkItemHandler
          org.jbpm.process.workitem.wsht.AsyncGenericHTWorkItemHandler
              org.jbpm.process.workitem.wsht.AsyncMinaHTWorkItemHandler

All Implemented Interfaces:
  WorkItemHandler

    public class AsyncMinaHTWorkItemHandler

extends AsyncGenericHTWorkItemHandler

This class provides the default configurations for a Mina WorkItem Handler

Field Summary

Fields inherited from class org.jbpm.process.workitem.wsht.AbstractHTWorkItemHandler
`action, eventHandlers, session`

Constructor Summary
`AsyncMinaHTWorkItemHandler(AsyncTaskService client, org.kie.runtime.KnowledgeRuntime session, boolean owningSessionOnly)`
`AsyncMinaHTWorkItemHandler(org.kie.runtime.KnowledgeRuntime session)`
`AsyncMinaHTWorkItemHandler(org.kie.runtime.KnowledgeRuntime session, boolean owningSessionOnly)`
`AsyncMinaHTWorkItemHandler(org.kie.runtime.KnowledgeRuntime session, OnErrorAction action)`
`AsyncMinaHTWorkItemHandler(String connectorName, AsyncTaskService client, org.kie.runtime.KnowledgeRuntime session, OnErrorAction action)`
`AsyncMinaHTWorkItemHandler(String connectorName, AsyncTaskService client, org.kie.runtime.KnowledgeRuntime session, OnErrorAction action, ClassLoader classLoader)`

Method Summary
`String` | `getConnectorName()`
`void` | `setConnectorName(String connectorName)`

Methods inherited from class org.jbpm.process.workitem.wsht.AsyncGenericHTWorkItemHandler
`abortWorkItem, connect, dispose, executeWorkItem, getClassLoader, getClient, getIpAddress, getPort, isConnected, isLocal, isOwningSessionOnly, setClassLoader, setClient, setIpAddress, setLocal, setOwningSessionOnly, setPort`

Methods inherited from class org.jbpm.process.workitem.wsht.AbstractHTWorkItemHandler
`createTaskBasedOnWorkItemParams, createTaskContentBasedOnWorkItemParams, isAutoClaim, setAction`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AsyncMinaHTWorkItemHandler

    public AsyncMinaHTWorkItemHandler(org.kie.runtime.KnowledgeRuntime session)

### AsyncMinaHTWorkItemHandler

    public AsyncMinaHTWorkItemHandler(org.kie.runtime.KnowledgeRuntime session,
                                      boolean owningSessionOnly)

### AsyncMinaHTWorkItemHandler

    public AsyncMinaHTWorkItemHandler(AsyncTaskService client,
                                      org.kie.runtime.KnowledgeRuntime session,
                                      boolean owningSessionOnly)

### AsyncMinaHTWorkItemHandler

    public AsyncMinaHTWorkItemHandler(org.kie.runtime.KnowledgeRuntime session,
                                      OnErrorAction action)

### AsyncMinaHTWorkItemHandler

    public AsyncMinaHTWorkItemHandler(String connectorName,
                                      AsyncTaskService client,
                                      org.kie.runtime.KnowledgeRuntime session,
                                      OnErrorAction action)

### AsyncMinaHTWorkItemHandler

    public AsyncMinaHTWorkItemHandler(String connectorName,
                                      AsyncTaskService client,
                                      org.kie.runtime.KnowledgeRuntime session,
                                      OnErrorAction action,
                                      ClassLoader classLoader)

Method Detail

### getConnectorName

    public String getConnectorName()

### setConnectorName

    public void setConnectorName(String connectorName)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.